
From: Thomas Gleixner <tglx@linutronix.de>

Simple fix to make pci_enable/disable symetric and avoid the warning on
module unload.

Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/yenta_socket.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/pcmcia/yenta_socket.c~yenta_socketc-fix-missing-pci_disable_dev drivers/pcmcia/yenta_socket.c
--- 25/drivers/pcmcia/yenta_socket.c~yenta_socketc-fix-missing-pci_disable_dev	2004-11-30 01:24:17.356007208 -0800
+++ 25-akpm/drivers/pcmcia/yenta_socket.c	2004-11-30 01:24:17.360006600 -0800
@@ -656,6 +656,7 @@ static void yenta_close(struct pci_dev *
 	yenta_free_resources(sock);
 
 	pci_release_regions(dev);
+	pci_disable_device(dev);
 	pci_set_drvdata(dev, NULL);
 }
 
_
